Summary:	GTK+ Spell Checker Interface Library
Summary(pl.UTF-8):	Biblioteka z interfejsem do narzędzia sprawdzającego pisownię dla GTK+
Name:		gtkspell
Version:	2.0.16
Release:	7
Epoch:		1
License:	GPL
Group:		X11/Libraries
Source0:	http://gtkspell.sourceforge.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	f75dcc9338f182c571b321d37c606a94
URL:		http://gtkspell.sourceforge.net/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	docbook-dtd42-xml
BuildRequires:	enchant-devel >= 0.4.0
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	pango-devel >= 1:1.13.3
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkSpell provides MSWord/MacOSX-style highlighting of misspelled words
in a GtkTextView widget. Right-clicking a misspelled word pops up a
menu of suggested replacements.

%description -l pl.UTF-8
GtkSpell udostępnia podobne do MS Worda lub MacOSX podświetlanie
błędnie napisanych słów w widgecie GtkTextView. Kliknięcie prawym
przyciskiem na błędne słowo otwiera menu z sugerowanymi poprawkami.

%package devel
Summary:	Header files for gtkspell
Summary(pl.UTF-8):	Pliki nagłówkowe dla gtkspella
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	enchant-devel >= 0.4.0
Requires:	gtk+2-devel >= 2:2.10.0

%description devel
Header files for gtkspell.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla gtkspella.

%package static
Summary:	Static libraries for gtkspell
Summary(pl.UTF-8):	Biblioteki statyczne dla gtkspella
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libraries for gtkspell.

%description static -l pl.UTF-8
Biblioteki statyczne dla gtkspella.

%package apidocs
Summary:	gtkspell API documentation
Summary(pl.UTF-8):	Dokumentacja API gtkspell
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
gtkspell API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gtkspell.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgtkspell.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_libdir}/libgtkspell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkspell.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkspell.so
%{_includedir}/gtkspell-2.0
%{_pkgconfigdir}/gtkspell-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkspell.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtkspell
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtkspell.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> fc0e076
- x32 rebuild
- release 7 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2b8a77d
- updated gettext BR

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> b892f39
- noarch apidocs

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 32f3113
- release 5 (by relup.sh)

* Wed Mar 23 2011 Artur Frysiak <artur@frysiak.net> 673523c
- drop libtool file
- rel. 4

* Fri Nov 19 2010 hawk <hawk@pld-linux.org> a137c49
- release 3

* Fri Feb 05 2010 Zsolt Udvari <uzsolt@pld-linux.org> d00a0ef
- rel 2
- rebuild with libpng14

* Mon Dec 21 2009 Marcin Banasiak <marcin.banasiak@gmail.com> c3ac37a
- updated to 2.0.16
- added -apidocs subpackage

* Fri Nov 27 2009 sparky <sparky@pld-linux.org> d465e0c
- BR: gettext-devel

* Mon Nov 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 477fde4
- release 2

* Fri Aug 29 2008 Jakub Bogusz <qboosh@pld-linux.org> cea34ca
- updated to 2.0.14

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 132aa64
- release 2

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 9269cfa
- updated to 2.0.13

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 680575c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c5b299d
- converted to UTF-8

* Thu Jul 13 2006 freetz <freetz@pld-linux.org> 4c95f4e
- rel.4, updated deps, --as-needed for LDFLAGS

* Sat Jun 10 2006 freetz <freetz@pld-linux.org> d17295c
- rel.3, bleeding edge deps

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> b21fcef
- orphaned, outdated

* Wed Jul 20 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 5185801
- rel 2

* Sun Jun 12 2005 freetz <freetz@pld-linux.org> c4912df
- 2.0.11

